GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
tdesc_type_vector Struct Reference
Inheritance diagram for tdesc_type_vector:

## Public Member Functions
| tdesc_type_vector (const std::string &name, tdesc_type *element_type_, int count_)
void | accept (tdesc_element_visitor &v) const override
type * | make_gdb_type (struct gdbarch *gdbarch) const override
Public Member Functions inherited from tdesc_type
| tdesc_type (const std::string &name_, enum tdesc_type_kind kind_)
virtual | ~tdesc_type ()=default
| DISABLE_COPY_AND_ASSIGN (tdesc_type)
bool | operator== (const tdesc_type &other) const
bool | operator!= (const tdesc_type &other) const

## Public Attributes
struct tdesc_type * | element_type
int | count
Public Attributes inherited from tdesc_type
std::string | name
enum tdesc_type_kind | kind

## Detailed Description

Definition at line 324 of file target-descriptions.c.

## Constructor & Destructor Documentation

## ◆ tdesc_type_vector()

tdesc_type_vector::tdesc_type_vector | ( | const std::string & | name,
|  | tdesc_type * | element_type_,
|  | int | count_
| ) |  |
| inline

Definition at line 326 of file target-descriptions.c.

## Member Function Documentation

## ◆ accept()

void tdesc_type_vector::accept | ( | tdesc_element_visitor & | v | ) | const
| inline override virtual

Implements tdesc_element.

Definition at line 331 of file target-descriptions.c.

References tdesc_element_visitor::visit().

## ◆ make_gdb_type()

type* tdesc_type_vector::make_gdb_type | ( | struct gdbarch * | gdbarch | ) | const
| inline override virtual

Implements tdesc_type.

Definition at line 336 of file target-descriptions.c.

References count, element_type, init_vector_type(), tdesc_type::make_gdb_type(), tdesc_type::name, tdesc_find_type(), and TYPE_NAME.

## Member Data Documentation

## ◆ count

int tdesc_type_vector::count

Definition at line 350 of file target-descriptions.c.

Referenced by make_gdb_type().

## ◆ element_type

struct tdesc_type* tdesc_type_vector::element_type

Definition at line 349 of file target-descriptions.c.

Referenced by make_gdb_type().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/target-descriptions.c